function DropDownTest_InitializeDropDown(self, level)
    if level == 1 then
        local info = UIDropDownMenu_CreateInfo()
        info.text = "DropDown Test"
        info.isTitle = true
        UIDropDownMenu_AddButton(info, level)

        info = UIDropDownMenu_CreateInfo()
        info.text = "Alpha Submenu"
        info.hasArrow = true
        info.value = "Alpha"
        UIDropDownMenu_AddButton(info, level)

        info = UIDropDownMenu_CreateInfo()
        info.text = "Beta Submenu"
        info.hasArrow = true
        info.value = "Beta"
        UIDropDownMenu_AddButton(info, level)
    elseif (level == 2) and (UIDROPDOWNMENU_MENU_VALUE == "Alpha") then
        local info = UIDropDownMenu_CreateInfo()
        info.text = "Alpha Sub-item 1"
        UIDropDownMenu_AddButton(info, level)
    elseif (level == 2) and (UIDROPDOWNMENU_MENU_VALUE == "Beta") then
        local info = UIDropDownMenu_CreateInfo()
        info.text = "Beta Sub-item 1"
        UIDropDownMenu_AddButton(info, level)
    end
end


function DropDownTest_DropDownOnLoad(self)
    UIDropDownMenu_Initialize(self, DropDownTest_InitializeDropDown)
end

function DropDownTest_ButtonOnClick(self, button, down)
    local name = self:GetName()
    ToggleDropDownMenu(1, nil, DropDownTest_DropDown, name, 0, 0)
end

